> ## Documentation Index
> Fetch the complete documentation index at: https://developer.surense.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download E9100 data files

Download E9100 data files. Returns all the relevant files. Use Submit E9100 event to Swiftness to get the event ID, `POST /swiftness/e9100/events`.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API",
    "description": "Surense API",
    "termsOfService": "https://static.surense.com/terms.htm",
    "contact": {
      "name": "API Support",
      "email": "contact@surense.com"
    },
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.surense.com/api/v1",
      "description": "Production"
    }
  ],
  "paths": {
    "/swiftness/e9100/download": {
      "post": {
        "tags": [
          "Swiftness"
        ],
        "summary": "Download E9100 data files",
        "description": "Download E9100 data files. Returns all the relevant files. Use Submit E9100 event to Swiftness to get the event ID, `POST /swiftness/e9100/events`.",
        "operationId": "downloadE9100",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DownloadE9100Request"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "*/*": {
                "schema": {
                  "type": "object"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "DownloadE9100Request": {
        "type": "object",
        "description": "Request to download E9100 data files",
        "properties": {
          "customerId": {
            "type": "string",
            "description": "Customer ID",
            "example": "123e4567-e89b-12d3-a456-426614174000"
          },
          "eventId": {
            "type": "string",
            "description": "Event ID",
            "example": "123e4567-e89b-12d3-a456-426614174000"
          },
          "misparMislaka": {
            "type": "string",
            "description": "Mispar Mislaka",
            "example": 123456
          }
        },
        "required": [
          "customerId"
        ]
      }
    }
  }
}
```